#include "chordscale.h"

ChordScale::ChordScale()
	{
	isScale = false;
	key = 0;
	isUsed = false;
	scaleKey = 0;
	strcpy(ChordName, "");
	for (int i = 0; i < 24; ++i)
		{
		weights[i] = false;
		scale[i] = false;
		}

	}

ChordScale::ChordScale(int newKey, bool *newScale, bool *newWeights, int newScaleKey, bool newIsScale)
	{
	isScale = newIsScale;
	scaleKey = newScaleKey;
	key = newKey;
	for (int i = 0; i < 24; ++i)
		{
		weights[i] = newWeights[i];
		scale[i] = newScale[i];
		}
	strcpy(ChordName, "");
	}


void ChordScale::setChordName(char *name)
	{
	strcpy(ChordName, name);	
	}

char *ChordScale::getChordName()
	{
	return ChordName;
	}
	

void ChordScale::setIsScale(bool newIsScale)
	{
	isScale = newIsScale;
	}

bool ChordScale::getIsScale()
	{
	return isScale;
	}

void ChordScale::setNote(int pitch, bool value)
	{
	scale[pitch] = value;
	}

bool ChordScale::getNote(int pitch)
	{
	return scale[pitch];
	}

void ChordScale::setWeight(int pitch, bool value)
	{
	weights[pitch] = value;
	}

bool ChordScale::getWeight(int pitch)
	{
	return weights[pitch];
	}

void ChordScale::setKey(int newKey)
	{
	key = newKey;
	}


int ChordScale::getKey()
	{
	return key;
	}

void ChordScale::setScaleKey(int newKey)
	{
	scaleKey = newKey;
	}


int ChordScale::getScaleKey()
	{
	return scaleKey;
	}

void ChordScale::setIsUsed(bool used)
	{
	isUsed = used;
	}


bool ChordScale::getIsUsed()
	{
	return isUsed;
	}

void ChordScale::getScale(bool *buffer)
	{
	for (int i = 0; i < 24; ++i)
		{
		buffer[i] = scale[i];
		}
	}

void ChordScale::getChord(bool *buffer)
	{
	for (int i = 0; i < 24; ++i)
		{
		buffer[i] = weights[i];
		}
	}

