#ifndef CHSCALE
#define CHSCALE

#include <string.h>

class ChordScale
	{
	int key;
	bool scale[24];
	bool weights[24];
	bool isScale;
	int scaleKey;
	char ChordName[20];
	bool isUsed; // means this is an empty measure if unused.
	public:
		ChordScale();
		
		ChordScale(int newKey, bool *newScale, bool *newWeights, int newScaleKey, bool newIsScale);
		void setNote(int pitch, bool value);
		bool getNote(int pitch);

		void setWeight(int pitch, bool value);
		bool getWeight(int pitch);

		void setKey(int newKey);
		int getKey();

		void setScaleKey(int newKey);
		int getScaleKey();

		void setIsScale(bool newIsScale);
		bool getIsScale();

		void setChordName(char *name);
		char *getChordName();

		void setIsUsed(bool used);
		bool getIsUsed();

		void getScale(bool* buffer);
		void getChord(bool* buffer);

	};

#endif